- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKXMLParserState Class Reference

`#include <IWORKXMLParserState.h>`

Inheritance diagram for libetonyek::IWORKXMLParserState:

## Public Member Functions
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const

## Public Attributes
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText

## Private Member Functions
| IWORKXMLParserState (const IWORKXMLParserState &)
IWORKXMLParserState & | operator= (const IWORKXMLParserState &)

## Private Attributes
IWORKParser & | m_parser
IWORKCollector & | m_collector
IWORKDictionary & | m_dict

## Constructor & Destructor Documentation

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | const IWORKXMLParserState & |  | ) |
| private

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | IWORKParser & | parser,
|  | IWORKCollector & | collector,
|  | IWORKDictionary & | dict
| ) |  |

## Member Function Documentation

IWORKCollector & libetonyek::IWORKXMLParserState::getCollector | ( |  | ) | const

IWORKDictionary & libetonyek::IWORKXMLParserState::getDictionary | ( |  | ) |

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKParser & libetonyek::IWORKXMLParserState::getParser | ( |  | ) |

const IWORKTokenizer & libetonyek::IWORKXMLParserState::getTokenizer | ( |  | ) | const

IWORKXMLParserState& libetonyek::IWORKXMLParserState::operator= | ( | const IWORKXMLParserState & |  | ) |
| private

## Member Data Documentation

IWORKCollector& libetonyek::IWORKXMLParserState::m_collector
| private

Referenced by getCollector().

boost::shared_ptr<IWORKTable> libetonyek::IWORKXMLParserState::m_currentTable

boost::shared_ptr<IWORKText> libetonyek::IWORKXMLParserState::m_currentText

Referenced by libetonyek::PAG1TextStorageElement::element(), and libetonyek::PAG1TextStorageElement::endOfElement().

IWORKDictionary& libetonyek::IWORKXMLParserState::m_dict
| private

Referenced by getDictionary().

bool libetonyek::IWORKXMLParserState::m_enableCollector

Referenced by libetonyek::IWORKDiscardContext::endOfElement(), and libetonyek::IWORKDiscardContext::startOfElement().

IWORKLanguageManager libetonyek::IWORKXMLParserState::m_langManager

IWORKParser& libetonyek::IWORKXMLParserState::m_parser
| private

Referenced by getParser(), and getTokenizer().

IWORKStylesheetPtr_t libetonyek::IWORKXMLParserState::m_stylesheet

Referenced by libetonyek::KEY2StyleContext::endOfElement().

IWORKTableDataPtr_t libetonyek::IWORKXMLParserState::m_tableData

IWORKTableNameMapPtr_t libetonyek::IWORKXMLParserState::m_tableNameMap

The documentation for this class was generated from the following files:

- IWORKXMLParserState.h
- IWORKXMLParserState.cpp